Subject: [93attendees] To all presenters: choose correct examples for IP prefixes and domain names

From: Stephane Bortzmeyer <[email-masked]>
Date: Tue, 21 Jul 2015 16:47:14 +0200

[This is a rant.]

I started to count the number of presentations I've seen at IETF 93
with IP prefixes 1.0.0.0/8. I stopped after the fifth one.

We have IP prefixes dedicated for documentation, examples and WG
presentations. They are reserved in an IANA registry
<http://www.iana.org/assignments/iana-ipv4-special-registry/iana-ipv4-special-registry.xml>
<http://www.iana.org/assignments/iana-ipv6-special-registry/iana-ipv6-special-registry.xml>
created by RFC 6890 (such as 198.51.100.0/24 or 2001:db8::/32).

Using 1.0.0.0/8 is bad because they receive a lot of traffic because
of that, see <http://www.potaroo.net/studies/1slash8/1slash8.html>).

Same thing for the Top-Level Domains: .foo and .bar are specially bad
examples since it they really exist in the USG root. You should use
.example
<http://www.iana.org/assignments/special-use-domain-names/special-use-domain-names.xml>
as reserved by RFC 6761.

I suggest that some harsh measures be taken against the presenters
that violate these rules. Force them to yield their social event
ticket to someone else, or deprive them of cookies?

---

From: Mike Bishop <[email-masked]>
Date: Tue, 21 Jul 2015 14:52:33 +0000

You mean I shouldn't have used evil.haxor.bg?  :grin:

Thanks for the reminder about RFCs 6761 and 6890 -- even those of us who've read them can certainly use the reminder.

-----Original Message-----
From: 93attendees [mailto:[email-masked]] On Behalf Of Stephane Bortzmeyer
Sent: Tuesday, July 21, 2015 4:47 PM
To: [email-masked]
Subject: [93attendees] To all presenters: choose correct examples for IP prefixes and domain names

[This is a rant.]

I started to count the number of presentations I've seen at IETF 93 with IP prefixes 1.0.0.0/8. I stopped after the fifth one.

We have IP prefixes dedicated for documentation, examples and WG presentations. They are reserved in an IANA registry <http://www.iana.org/assignments/iana-ipv4-special-registry/iana-ipv4-special-registry.xml>
<http://www.iana.org/assignments/iana-ipv6-special-registry/iana-ipv6-special-registry.xml>
created by RFC 6890 (such as 198.51.100.0/24 or 2001:db8::/32).

Using 1.0.0.0/8 is bad because they receive a lot of traffic because of that, see <http://www.potaroo.net/studies/1slash8/1slash8.html>).

Same thing for the Top-Level Domains: .foo and .bar are specially bad examples since it they really exist in the USG root. You should use .example <http://www.iana.org/assignments/special-use-domain-names/special-use-domain-names.xml>
as reserved by RFC 6761.

I suggest that some harsh measures be taken against the presenters that violate these rules. Force them to yield their social event ticket to someone else, or deprive them of cookies?

_______________________________________________
93attendees mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/93attendees

---

From: Dave Crocker <[email-masked]>
Date: Tue, 21 Jul 2015 17:13:55 +0200

On 7/21/2015 4:47 PM, Stephane Bortzmeyer wrote:
> presentations.

I am new to the IETF.

I have never written an Internet Draft, nevermind an RFC.

How I to know of these conventions?

For example, there is no text about it in:

     Guidelines to Authors of Internet-Drafts

     http://www.ietf.org/ietf-ftp/1id-guidelines.txt

And no, a response of "ask someone" does not suffice.  Far too random.

d/

-- 
Dave Crocker
Brandenburg InternetWorking
bbiw.net

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Tue, 21 Jul 2015 17:38:41 +0200

On Tue, Jul 21, 2015 at 05:13:55PM +0200,
 Dave Crocker <[email-masked]> wrote 

> I have never written an Internet Draft, nevermind an RFC.

My deepest sympathies :-)

> How I to know of these conventions?

I find them mentioned in
<http://www.rfc-editor.org/rfc-editor/instructions2authors.txt> and
RFC 7322
(domain names only, not IP addresses).

>      http://www.ietf.org/ietf-ftp/1id-guidelines.txt

Do you know the process to update these texts?

---

From: David C Lawrence <[email-masked]>
Date: Tue, 21 Jul 2015 11:42:30 -0400

>      http://www.ietf.org/ietf-ftp/1id-guidelines.txt

Puttig it in http://tools.ietf.org/tools/templates/ would be good too.

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Tue, 21 Jul 2015 15:59:09 +0000

Presumably it should be possible to have a tool that extracts IP addresses and URIs from drafts and flags those that are inappropriate.

Could be done either in conjunction with NITs or separately.

Most usages in presentations are probably in the drafts to start off with.

Keith

> From: 93attendees [mailto:[email-masked]] On 
> Behalf Of David C Lawrence
> Sent: 21 July 2015 16:43
> To: [email-masked]
> Subject: Re: [93attendees] To all presenters: choose correct 
> examples for IP prefixes and domain names
> 
> Dave Crocker writes:

---

From: Dhruv Dhody <[email-masked]>
Date: Tue, 21 Jul 2015 18:03:50 +0200

Idnits tools already throws a warning for IP address, if I remember
correctly!

Dhruv

On Tue, Jul 21, 2015 at 5:59 PM, DRAGE, Keith (Keith) <
[email-masked]> wrote:

> Presumably it should be possible to have a tool that extracts IP addresses
> and URIs from drafts and flags those that are inappropriate.
>

---

From: "Marco Davids (SIDN)" <[email-masked]>
Date: Tue, 21 Jul 2015 18:08:38 +0200

>       http://www.ietf.org/ietf-ftp/1id-guidelines.txt

Well than.... we should fix that.

--
Marco

---

From: Mark Andrews <[email-masked]>
Date: Wed, 22 Jul 2015 02:09:16 +1000

It is in NITs.

https://tools.ietf.org/idnits?url=https://tools.ietf.org/id/draft-ietf-dnsop-default-local-zones-15.txt

Where there are literal addresses that are non documentation addresses.

Checking nits according to http://www.ietf.org/id-info/checklist :
  ----------------------------------------------------------------------------

  == There are 1 instance of lines with non-RFC5735-compliant IPv4 addresses
     in the document.  If these are example addresses, they should be changed.

Mark

-- 
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]

---

From: Yoav Nir <[email-masked]>
Date: Tue, 21 Jul 2015 18:11:32 +0200

Even if it wasn’t, drafts are not the subject of this thread. Using a wrong IP address or DNS name in an I-D will be caught by the chair, shepherd, AD, Gen-Art reviewer, or any of many reviewers.

Presentations get uploaded with little checking.

> On Jul 21, 2015, at 6:09 PM, Mark Andrews <[email-masked]> wrote:
> 
> 
> It is in NITs.
>

---

From: "Howard, Lee" <[email-masked]>
Date: Tue, 21 Jul 2015 12:32:16 -0400

>Presentations get uploaded with little checking.

Presentations also get sent very late; sometimes during the working group
meeting.
WG chairs could refuse to allow agenda time without supporting materials
(if any) being in hand. But I¹m not sure that¹s the way to get the best
work/discussion from the WG.

Also, please put page numbers on slides, so Jabber scribes can say what¹s
going on.

Lee

This E-mail and any of its attachments may contain Time Warner Cable proprietary information, which is privileged, confidential, or subject to copyright belonging to Time Warner Cable. This E-mail is intended solely for the use of the individual or entity to which it is addressed. If you are not the intended recipient of this E-mail, you are hereby notified that any dissemination, distribution, copying, or action taken in relation to the contents of and attachments to this E-mail is strictly prohibited and may be unlawful. If you have received this E-mail in error, please notify the sender immediately and permanently delete the original and any copy of this E-mail and any printout.

---

From: Alia Atlas <[email-masked]>
Date: Tue, 21 Jul 2015 12:32:43 -0400

On Tue, Jul 21, 2015 at 12:11 PM, Yoav Nir <[email-masked]> wrote:

> Even if it wasn’t, drafts are not the subject of this thread. Using a
> wrong IP address or DNS name in an I-D will be caught by the chair,
> shepherd, AD, Gen-Art reviewer, or any of many reviewers.
>

There are many reasons that it is very useful for WG chairs to be given
presentations in time to provide review and feedback.  This seems to be yet
another.

Please get your presentations in early!

Regards,
Alia

> > In message <
> [email-masked]>,
> "DRAGE, Keith (Keith)" writes:
> >> Presumably it should be possible to have a tool that extracts IP
> addresses and URIs from drafts and flags those that are inappropriate.
> >>

---

From: Alexandre PETRESCU <[email-masked]>
Date: Tue, 21 Jul 2015 18:42:30 +0200

Ok for Internet Drafts, and slide presentation - it's Documentation.

But can I write 192.168.1.1 and 1::1 in an email list discussion?

Alex

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Tue, 21 Jul 2015 19:16:21 +0200

On Tue, Jul 21, 2015 at 06:08:38PM +0200,
 Marco Davids (SIDN) <[email-masked]> wrote 

> Well than.... we should fix that.

I'm prepared to write a patch. I just have to find out where to send
it.

---

From: Yoav Nir <[email-masked]>
Date: Tue, 21 Jul 2015 20:15:54 +0200

> On Jul 21, 2015, at 6:32 PM, Howard, Lee <[email-masked]> wrote:
> 
> 

+1 !

---

From: "Marco Davids (SIDN)" <[email-masked]>
Date: Wed, 22 Jul 2015 09:53:24 +0200

Alex,

On 21/07/15 18:42, Alexandre PETRESCU wrote:

> can I write 192.168.1.1 and 1::1 in an email list discussion?

I would prefer not.

Especially 192.168.1.1 might be confusing. Unless used in a mail about 
the burden's of NAT and RFC1918-space of course.

Just use the RFC6890 ranges. Easy and convenient at the same time.

Here's an example:

https://youtu.be/OLEizGPoB5w
(has English subtitles)

--
Marco

---

From: Randall Gellens <[email-masked]>
Date: Wed, 22 Jul 2015 02:19:42 -0700

>  Presentations get uploaded with little checking.

So you're proposing a nits-style check for presentations?  Perhaps it 
should check that presentations are focused on open issues in active 
drafts?

-- 
Randall Gellens
Opinions are personal;    facts are suspect;    I speak for myself only
-------------- Randomly selected tag: ---------------
The mind of a bigot is like the pupil of the eye. The more light you
shine on it, the more it contracts.      --Oliver Wendell Holmes, Jr.

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 22 Jul 2015 22:26:57 +1200

You'll find it in the checklist:
http://www.ietf.org/id-info/checklist.html
and of course the nit checker flags it.

    Brian

---

From: Yoav Nir <[email-masked]>
Date: Wed, 22 Jul 2015 12:37:18 +0200

No, I'm not proposing that.

We could make a document with some guidance for presenters, and to send it to all participants when they register for the meeting.

---

From: "Howard, Lee" <[email-masked]>
Date: Wed, 22 Jul 2015 06:51:48 -0400

The EDU team had a “Presentation Skill Tutorial” recently, http://tools.ietf.org/group/edu/wiki/IETF91
I didn’t discuss IP address and domain name examples, but I did discuss microphones, slide numbers, and focusing on getting useful work done.

I’m willing to write it as a text guide, adding notes about other nits, either as a draft or as a document to point presenters to.
Also willing to discuss further on EDU list.

Lee

From: 93attendees <[email-masked]<mailto:[email-masked]>> on behalf of Yoav Nir <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, July 22, 2015 at 6:37 AM
To: Randall Gellens <[email-masked]<mailto:[email-masked]>>, Mark Andrews <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [93attendees] To all presenters: choose correct examples for IP prefixes and domain names

We could make a document with some guidance for presenters, and to send it to all participants when they register for the meeting.
________________________________
From: Randall Gellens<mailto:[email-masked]>
Sent: 7/22/2015 11:19
To: Yoav Nir<mailto:[email-masked]>; Mark Andrews<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [93attendees] To all presenters: choose correct examples for IP prefixes and domain names

-------------- Randomly selected tag: ---------------

________________________________
This E-mail and any of its attachments may contain Time Warner Cable proprietary information, which is privileged, confidential, or subject to copyright belonging to Time Warner Cable. This E-mail is intended solely for the use of the individual or entity to which it is addressed. If you are not the intended recipient of this E-mail, you are hereby notified that any dissemination, distribution, copying, or action taken in relation to the contents of and attachments to this E-mail is strictly prohibited and may be unlawful. If you have received this E-mail in error, please notify the sender immediately and permanently delete the original and any copy of this E-mail and any printout.

---

From: Jen Linkova <[email-masked]>
Date: Wed, 22 Jul 2015 13:13:46 +0200

On Tue, Jul 21, 2015 at 6:42 PM, Alexandre PETRESCU
<[email-masked]> wrote:
> But can I write 192.168.1.1

Then I'd assume you are talking explicitly RFC1918 address space.

>and 1::1

To be honest, my first impression would be 'you mean ::1 - loopback?'
and second one 'probably not, probably you mean 2001:db8::1'...

>in an email list discussion?

Yes you can indeed...But IMHO it is like intentionally omitting
punctuation marks or not starting sentences/names with capital
letters...

> In message
> <[email-masked]>,

-- 
SY, Jen Linkova aka Furry

---

From: Alexandre PETRESCU <[email-masked]>
Date: Wed, 22 Jul 2015 15:00:14 +0200

Jen,

Thanks for the message.  Let me say why I need to write that.

> and second one 'probably not, probably you mean 2001:db8::1'...

I dont write 2001:db8 in emails because I am always afraid to not say 
something wrong - is that 2001 for sure, is it db8 or b8d?

And it's shorter to write 1::1

> punctuation marks or not starting sentences/names with capital

Ah.  To me 1::1 instead of 2001:db8::1 is like saying "hi" instead of  
"good day".

Alex

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Wed, 22 Jul 2015 15:34:49 +0200

> How I to know of these conventions?

I've just discussed the matter with the RFC Editor and they have these
documentation IP prefixes in their checklist. A bit late in the
process but, at least for RFC, it will be caught, even if it is not in
the public Instructions for Authors.

---

From: Randall Gellens <[email-masked]>
Date: Wed, 22 Jul 2015 08:12:35 -0700

>  No, I'm not proposing that.

I know, I was being tongue-in-cheek.  I do not think a nit-style 
check for presentations is practical, as nice as it is to imagine 
such a thing.

"Serious warning: your presentation appears to be content-free."

-------------- Randomly selected tag: ---------------
Auntie Em, Hate you; Hate Kansas; Taking the dog.  --Dorothy.

---

From: Patrik Wallström <[email-masked]>
Date: Wed, 22 Jul 2015 08:43:52 +0200

> But can I write 192.168.1.1 and 1::1 in an email list discussion?

This is the IETF police. We noticed you entered IP numbers in an e-mail sent to the 93attendees list. Have you peer reviewed your e-mail before sending it?

---

From: Ted Lemon <[email-masked]>
Date: Wed, 22 Jul 2015 15:03:04 -0400

On Jul 22, 2015, at 2:43 AM, Patrik Wallström <[email-masked]> wrote:
> Have you peer reviewed your e-mail before sending it?

In some cases, possibly that would be a good practice… ;)